{
  flake-private,
  config,
  sops,
  ...
}:
{
  programs.thunderbird = {
    enable = true;
    settings = {
      "general.useragent.override" = "";
      "privacy.donottrackheader.enabled" = true;
      "mail.openpgp.allow_external_gnupg" = true;
      "mail.openpgp.fetch_pubkeys_from_gnupg" = true;
    };

    profiles."lilith" = {
      isDefault = true;
      withExternalGnupg = true;
    };
  };

  # As this contains personal information, this part of the config has been
  # put in a separate, private repository. Do _not_ use this for actual secrets!
  accounts.email.accounts = flake-private.home.accounts.email.accounts { inherit config; };
}
